org.jetlang.remote.core

## Interface SocketMessageStreamWriter.Out

All Known Implementing Classes:
  SocketMessageStreamWriter.BufferedStream

Enclosing class:
  SocketMessageStreamWriter

    public static interface SocketMessageStreamWriter.Out

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `close()`
`void` `flush()`
`ByteArrayBuffer` `getBuffer()`
`void` `write(int byteToWrite)`
`void` `writeBytes(byte[] bytes)`

### Method Detail

#### getBuffer

    ByteArrayBuffer getBuffer()

#### flush

    void flush()
        throws IOException

Throws:
  `IOException`

#### write

    void write(int byteToWrite)
        throws IOException

Throws:
  `IOException`

#### writeBytes

    void writeBytes(byte[] bytes)
             throws IOException

Throws:
  `IOException`

#### close

    boolean close()